GET api/MortgageOffer/GetMortgageOffer?languageType={languageType}¤tPage={currentPage}&pageSize={pageSize}&categoryIDs={categoryIDs}&filterIDs={filterIDs}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| languageType | CmsLanguage |
Required |
|
| currentPage | integer |
Required |
|
| pageSize | integer |
Required |
|
| categoryIDs | string |
None. |
|
| filterIDs | string |
None. |
Body Parameters
None.
Response Information
Resource Description
MortgagePlanResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| MortgagePlanList | Collection of MortgagePlanInfo |
None. |
|
| TotalNumber | integer |
None. |
|
| ResponseCode | ResponseCode |
None. |
|
| AlertMessage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"MortgagePlanList": [
{
"MortgagePlanID": 1,
"MortgagePlanName": "sample string 2",
"MortgageType": "sample string 3",
"MortgageRate": 4.1,
"PaymentRemark": "sample string 5",
"PlanDetailList": [
{
"Content": "sample string 1",
"Label": "sample string 2"
},
{
"Content": "sample string 1",
"Label": "sample string 2"
}
],
"CategoryInfo": {
"CategoryID": 1,
"CategoryName": "sample string 2",
"IconUrl": "sample string 3"
},
"PlanTitle1": "sample string 6",
"PlanTitle2": "sample string 7",
"PlanTitle3": "sample string 8",
"PlanRate": "sample string 9",
"CashRebate": "sample string 10",
"PenaltyPeriod": "sample string 11",
"Percentage": "sample string 12",
"TargetUser": "sample string 13",
"Remarks": [
"sample string 1",
"sample string 2"
],
"Sequence": 14,
"PublishDateTime": "2025-12-07T04:46:56.2240267+08:00"
},
{
"MortgagePlanID": 1,
"MortgagePlanName": "sample string 2",
"MortgageType": "sample string 3",
"MortgageRate": 4.1,
"PaymentRemark": "sample string 5",
"PlanDetailList": [
{
"Content": "sample string 1",
"Label": "sample string 2"
},
{
"Content": "sample string 1",
"Label": "sample string 2"
}
],
"CategoryInfo": {
"CategoryID": 1,
"CategoryName": "sample string 2",
"IconUrl": "sample string 3"
},
"PlanTitle1": "sample string 6",
"PlanTitle2": "sample string 7",
"PlanTitle3": "sample string 8",
"PlanRate": "sample string 9",
"CashRebate": "sample string 10",
"PenaltyPeriod": "sample string 11",
"Percentage": "sample string 12",
"TargetUser": "sample string 13",
"Remarks": [
"sample string 1",
"sample string 2"
],
"Sequence": 14,
"PublishDateTime": "2025-12-07T04:46:56.2240267+08:00"
}
],
"TotalNumber": 1,
"ResponseCode": 1,
"AlertMessage": "sample string 2"
}
text/xml
Sample:
<MortgagePlanResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CentaMortgageWebAPI.Models">
<AlertMessage>sample string 2</AlertMessage>
<ResponseCode>Success</ResponseCode>
<MortgagePlanList>
<MortgagePlanInfo>
<CashRebate>sample string 10</CashRebate>
<CategoryInfo>
<CategoryID>1</CategoryID>
<CategoryName>sample string 2</CategoryName>
<IconUrl>sample string 3</IconUrl>
</CategoryInfo>
<MortgagePlanID>1</MortgagePlanID>
<MortgagePlanName>sample string 2</MortgagePlanName>
<MortgageRate>4.1</MortgageRate>
<MortgageType>sample string 3</MortgageType>
<PaymentRemark>sample string 5</PaymentRemark>
<PenaltyPeriod>sample string 11</PenaltyPeriod>
<Percentage>sample string 12</Percentage>
<PlanDetailList>
<PlanDetailModel>
<Content>sample string 1</Content>
<Label>sample string 2</Label>
</PlanDetailModel>
<PlanDetailModel>
<Content>sample string 1</Content>
<Label>sample string 2</Label>
</PlanDetailModel>
</PlanDetailList>
<PlanRate>sample string 9</PlanRate>
<PlanTitle1>sample string 6</PlanTitle1>
<PlanTitle2>sample string 7</PlanTitle2>
<PlanTitle3>sample string 8</PlanTitle3>
<PublishDateTime>2025-12-07T04:46:56.2240267+08:00</PublishDateTime>
<Remarks xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:string>sample string 1</d4p1:string>
<d4p1:string>sample string 2</d4p1:string>
</Remarks>
<Sequence>14</Sequence>
<TargetUser>sample string 13</TargetUser>
</MortgagePlanInfo>
<MortgagePlanInfo>
<CashRebate>sample string 10</CashRebate>
<CategoryInfo>
<CategoryID>1</CategoryID>
<CategoryName>sample string 2</CategoryName>
<IconUrl>sample string 3</IconUrl>
</CategoryInfo>
<MortgagePlanID>1</MortgagePlanID>
<MortgagePlanName>sample string 2</MortgagePlanName>
<MortgageRate>4.1</MortgageRate>
<MortgageType>sample string 3</MortgageType>
<PaymentRemark>sample string 5</PaymentRemark>
<PenaltyPeriod>sample string 11</PenaltyPeriod>
<Percentage>sample string 12</Percentage>
<PlanDetailList>
<PlanDetailModel>
<Content>sample string 1</Content>
<Label>sample string 2</Label>
</PlanDetailModel>
<PlanDetailModel>
<Content>sample string 1</Content>
<Label>sample string 2</Label>
</PlanDetailModel>
</PlanDetailList>
<PlanRate>sample string 9</PlanRate>
<PlanTitle1>sample string 6</PlanTitle1>
<PlanTitle2>sample string 7</PlanTitle2>
<PlanTitle3>sample string 8</PlanTitle3>
<PublishDateTime>2025-12-07T04:46:56.2240267+08:00</PublishDateTime>
<Remarks xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:string>sample string 1</d4p1:string>
<d4p1:string>sample string 2</d4p1:string>
</Remarks>
<Sequence>14</Sequence>
<TargetUser>sample string 13</TargetUser>
</MortgagePlanInfo>
</MortgagePlanList>
<TotalNumber>1</TotalNumber>
</MortgagePlanResponse>